/* purgecss start ignore */
@tailwind base;

@tailwind components;

html {
    @apply bg-light;
    @apply text-dark;
    @apply font-body;
}

.card {
    @apply max-w-card bg-white border-2 border-yellow;

    & header {
        @apply bg-yellow;
        & h1 {
            @apply pt-5 pb-3 text-5xl text-center font-body font-bold uppercase;
        }
    }

    & section {
        @apply p-12 pt-6;

        & .headline, & h2 {
            @apply text-center font-medium font-display;
        }

        & h2 {
            @apply text-2xl px-4 mb-10;
        }

        & .actions {
            @apply mt-8 flex justify-end;

            & > * {
                @apply ml-2;
            }
        }
    }
}

.field {
    @apply flex flex-col items-stretch mb-3;
    & label {
        @apply mb-2 font-medium font-display;
    }

    & input {
        @apply border-2 border-dark-green p-2 rounded-sm;

        &:focus {
            @apply outline-none border-teal;
        }
    }
}

.card button {
    @apply text-white bg-yellow border-2 border-yellow text-dark py-1 px-4 rounded leading-8 uppercase font-body font-semibold;

    &.secondary {
        @apply bg-white;
    }
}
/* purgecss end ignore */

@tailwind utilities;
